require "haml"
require "pdfkit"
require "pathname"
require "documentum/version"
require "active_support/all"
require "documentum/generator"

module Documentum

  def self.generate(markdown_filenames, template_filename,
                        output_dir, stylesheet_filenames: [], options: {})
    stylesheets = Array.wrap(stylesheet_filenames)
    generator = Documentum::Generator.new(template_filename, output_dir,
      stylesheet_filenames: stylesheets, options: options)
    Array.wrap(markdown_filenames).each do |filename|
      generator.generate_pdf(filename)
    end
  end


end
